[GET] List submission
* Authentication
Required Authorization: Bearer ••••••••••••••••••••••••••••••••••••
Limit throttle:30,1
Request
Retrieve the shop’s Back In Stock (BIS) submission list, with pagination.
Endpoint GET - /shop-api/back-in-stock/list?page=1
| Params | Type | Required |
|---|---|---|
| page | number | no |
GET /shop-api/back-in-stock/list?page=1 HTTP/1.1Host: preorder.globo.ioAuthorization: ************const myHeaders = new Headers();myHeaders.append("Authorization", "************");const requestOptions = { method: "GET", headers: myHeaders, redirect: "follow"};fetch("https://preorder.globo.io/shop-api/back-in-stock/list?page=1", requestOptions) .then((response) => response.text()) .then((result) => console.log(result)) .catch((error) => console.error(error));$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://preorder.globo.io/shop-api/back-in-stock/list?page=1',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'Authorization: ************'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Success response 200
{ "success": true, "data": [ { "id": 1, // Unique ID "product_id": 1234567890, // Shopify product ID without gid://shopify/Product/ "variant_id": 9876543210,// Shopify variant ID without gid://shopify/Variant/ "customer_phone": "+84123456789", "product_title": "Product Name", "variant_title": "Size M / Blue", "sku": "SKU-001", "status": 0, // 0 => pending send mail restock, 1 => sent "created_at": "2026-07-03T10:00:00.000000Z", "updated_at": "2026-07-03T10:00:00.000000Z" } ], "pagination": { "total": 25, "per_page": 10, "current_page": 1, "last_page": 3, "from": 1, "to": 10 }}Failed
{ "success" => false, "message" => "Something went wrong"}Was this helpful?
Thanks for your feedback! Tell us what was missing
Report an issue